### Function

# Gegl Bufferswap_create_file

#### Declaration [src]

    gchar*
    gegl_buffer_swap_create_file (
      const gchar* suffix
    )

#### Description [src]

Generates a unique filename in the GEGL swap directory, suitable for using as swap space. When the file is no longer needed, it may be removed with gegl_buffer_swap_remove_file(); otherwise, it will be removed when `gegl_exit()` is called.

#### Parameters

`suffix`

  Type: `const gchar*`

  A string to suffix the filename with, for identification purposes, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A string containing the full file path, or `NULL` is the swap is disabled. The returned string should be freed with `g_free()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.